package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAudienceAccountDaily;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 人群分析报表——年龄、性别数据
 * @Author: jeecg-boot
 * @Date:   2021-03-09
 * @Version: V1.0
 */
public interface IEtlKuaishouAudienceAccountDailyService extends IService<EtlKuaishouAudienceAccountDaily> {

    void queryEveryDayAudienceInfo();

    Result<Object> getSexInfo(JSONObject request);

    Result<Object> getAgeInfo(JSONObject request);

    Result<Object> getSceneInfo(JSONObject request);
}
